Upload chunk
POST
/partners/documents/chunk-upload/chunkUploads a single chunk of a multipart upload.
Send multipart/form-data with `file`, `blockId`, and `uploadProgressId`. Sign with empty-object body hash.
HMAC signature + Bearer access token
Try this requestRequest body
filestringrequiredBinary chunk sent as multipart form field.
blockIdstringrequiredIdentifier for this chunk block.
uploadProgressIdstringrequiredUpload session identifier from initiate.
Responses
200Chunk accepted.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPOST
https://api.getcount.com/partners/documents/chunk-upload/chunkRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'POST';
const signingPath = '/documents/chunk-upload/chunk';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/documents/chunk-upload/chunk`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"data": {
"blockId": "block-1",
"uploaded": true
}
}